View Issue Details

IDProjectCategoryView StatusLast Update
07689Development Securitypublic2013-08-20 17:01
ReportermdekkerAssigned Tomdekker 
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version 
Target Version2.05Fixed in Version2.05 
Summary07689: editing survey permissions gives errors
Description

I get using $this when not in object context (Permission.php line 145) when i fix that with Permission::model()-> it won't save permissions on a group.

TagsNo tags attached.

Activities

mdekker

mdekker

2013-03-20 12:52

reporter   ~24790

Last edited: 2013-03-20 12:53

View 2 revisions

Checked a little more: only the 'global' rights don't get saved. The individual rights (update, edit etc.) do get saved.

Maybe it is a javascript issue?

mdekker

mdekker

2013-03-20 12:54

reporter   ~24791

Fix committed to 2.05 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12002

mdekker

mdekker

2013-03-20 13:06

reporter   ~24795

Just script issues, will commit the fix

mdekker

mdekker

2013-03-20 13:06

reporter   ~24796

Fix committed to 2.05 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12009

mdekker

mdekker

2013-03-20 13:06

reporter   ~24797

Should be fixed now

c_schmitz

c_schmitz

2013-03-20 13:15

administrator   ~24798

Fix committed to 2.05 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12011

c_schmitz

c_schmitz

2013-03-20 13:16

administrator   ~24799

Thank you - but don't assign it to me if you do it yourself anyway :-p

mdekker

mdekker

2013-03-20 13:31

reporter   ~24800

Yeah, wanted to check something and changed my mind because it was smaller then I expected. Didn't know would be so quick ;-)

BTW, I am not sure but I thought the animation for the advanced toggle was faster before.

Also I think (did not try) that maybe a horizontal slide effect would be nicer: while table floats (sticks) to the left it expandeds to the right. That way you don't have to move the mouse from left to right to toggle the advanced on and off. Don't know if that is a lot of work to change, no experience with that.

c_schmitz

c_schmitz

2013-03-20 13:51

administrator   ~24804

We should ask a professional about that: Tony? Can we do that?

tpartner

tpartner

2013-03-20 14:12

developer   ~24805

Menno, can you please give me a screenshot for context?

mdekker

mdekker

2013-03-20 14:19

reporter  

permission_small.png (103,538 bytes)
mdekker

mdekker

2013-03-20 14:19

reporter  

permission_expanded.png (105,693 bytes)
mdekker

mdekker

2013-03-20 14:21

reporter   ~24806

Last edited: 2013-03-20 14:21

View 2 revisions

Two screenshots, one collapsed, one expanded. This screen is found in two places:

  1. Manage survey administrators => edit global user permissions
  2. Survey => Survey permissions => edit permissions

I did not check on the gringegreen template

DenisChenu

DenisChenu

2013-03-20 14:50

developer   ~24808

<q>
Also I think (did not try) that maybe a horizontal slide effect would be nicer: while table floats (sticks) to the left it expandeds to the right. That way you don't have to move the mouse from left to right to toggle the advanced on and off. Don't know if that is a lot of work to change, no experience with that. </q>

Using visibilty:hidden OR opacity:0 on extended (replace display:none) give thios opportunity.

tpartner

tpartner

2013-03-20 14:56

developer   ~24810

Denis, do you want to take it (I won't be offended :) )

tpartner

tpartner

2013-04-22 15:36

developer   ~25049

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=12328

tpartner

tpartner

2013-04-22 15:37

developer   ~25050

Menno, can you please have a look at this and let me know if it's what you wanted before I push the fix to other branch(es)?

A couple of notes:

  • I don't see the "toggle advanced" button in the Manage survey administrators => edit global user permissions view so did nothing there
  • Denis's suggestion of visibility:hidden was along the right track but I had to add a little to it to handle the row background colours
  • The "slow fade in/out" is no longer available - the toggle transformation is instant
mdekker

mdekker

2013-04-23 09:46

reporter   ~25057

Thanks a lot Tony! This is exactly what I wanted. I think the button in the global user permission is new for the 2.05 branch so that's why you didn't see it in 2.00

Related Changesets

LimeSurvey: 2.05 37735536

2013-03-20 11:54:36

mdekker

Details Diff
partial fix 07689: error on setting survey permissions Affected Issues
07689
mod - application/models/Permission.php Diff File

LimeSurvey: 2.05 af613050

2013-03-20 12:04:49

mdekker

Details Diff
fixed 07689: error on setting survey permissions Affected Issues
07689
mod - application/controllers/admin/surveypermission.php Diff File

LimeSurvey: 2.05 cd4a080a

2013-03-20 12:15:19

c_schmitz

Details Diff
Fixed issue 07689: error on setting survey permissions Affected Issues
07689
mod - application/controllers/admin/surveypermission.php Diff File
add - scripts/admin/surveypermissions.js Diff File

LimeSurvey: master 4fab9cc5

2013-04-22 13:36:27

tpartner

Details Diff
Fixed issue 07689: editing survey permissions gives errors
Dev Survey user permissions table now maintains full width when "advanced" is toggle to hidden
Affected Issues
07689
mod - scripts/admin/surveysecurity.js Diff File

Issue History

Date Modified Username Field Change
2013-03-20 12:49 mdekker New Issue
2013-03-20 12:49 mdekker Status new => assigned
2013-03-20 12:49 mdekker Assigned To => c_schmitz
2013-03-20 12:52 mdekker Note Added: 24790
2013-03-20 12:53 mdekker Note Edited: 24790 View Revisions
2013-03-20 12:54 mdekker Changeset attached => LimeSurvey 2.05 37735536
2013-03-20 12:54 mdekker Note Added: 24791
2013-03-20 12:54 mdekker Assigned To c_schmitz => mdekker
2013-03-20 12:54 mdekker Resolution open => fixed
2013-03-20 12:55 mdekker Assigned To mdekker => c_schmitz
2013-03-20 13:05 mdekker Assigned To c_schmitz => mdekker
2013-03-20 13:06 mdekker Note Added: 24795
2013-03-20 13:06 mdekker Changeset attached => LimeSurvey 2.05 af613050
2013-03-20 13:06 mdekker Note Added: 24796
2013-03-20 13:06 mdekker Note Added: 24797
2013-03-20 13:06 mdekker Status assigned => resolved
2013-03-20 13:06 mdekker Fixed in Version => 2.05
2013-03-20 13:15 c_schmitz Changeset attached => LimeSurvey 2.05 cd4a080a
2013-03-20 13:15 c_schmitz Note Added: 24798
2013-03-20 13:16 c_schmitz Note Added: 24799
2013-03-20 13:31 mdekker Note Added: 24800
2013-03-20 13:31 mdekker Status resolved => feedback
2013-03-20 13:31 mdekker Resolution fixed => reopened
2013-03-20 13:51 c_schmitz Note Added: 24804
2013-03-20 13:51 c_schmitz Assigned To mdekker => tpartner
2013-03-20 14:12 tpartner Note Added: 24805
2013-03-20 14:19 mdekker File Added: permission_small.png
2013-03-20 14:19 mdekker File Added: permission_expanded.png
2013-03-20 14:21 mdekker Note Added: 24806
2013-03-20 14:21 mdekker Status feedback => assigned
2013-03-20 14:21 mdekker Note Edited: 24806 View Revisions
2013-03-20 14:50 DenisChenu Note Added: 24808
2013-03-20 14:56 tpartner Note Added: 24810
2013-04-22 15:36 tpartner Changeset attached => LimeSurvey master 4fab9cc5
2013-04-22 15:36 tpartner Note Added: 25049
2013-04-22 15:37 tpartner Assigned To tpartner => mdekker
2013-04-22 15:37 tpartner Note Added: 25050
2013-04-23 09:46 mdekker Note Added: 25057
2013-08-20 17:01 mdekker Status assigned => closed
2013-08-20 17:01 mdekker Resolution reopened => fixed